[Numpy-discussion] NumPy 0.9.6 and win32pdh

Travis Oliphant oliphant.travis at ieee.org
Sat Mar 18 20:18:05 CST 2006


Ed Schofield wrote:
> Hi all,
>
> I'm trying to compile Win32 binaries for a new release of SciPy.  I'm
> getting a warning message upon import after installing
> numpy-0.9.6-win32-py2.4.exe:
>
> import testing -> failed: No module named win32pdh
>
> and I'm unable to run any of NumPy's unit tests unless I manually
> comment out the block
>   

Hmm... I guess I though that win32pdh was part of python 2.4 (I saw this 
error when building Pyton 2.3 packages but not Python 2.4).  But, of 
course it was probably that I did or didn't have win32all installed. 

That's unfortunate.  The win32pdh dependency needs to be fixed, then.   
It's too bad this dependency was created without appropriate checks.

No doubt we'll have several who complain about this one until numpy 
0.9.7 comes out...


-Travis







More information about the Numpy-discussion mailing list